Name: ruby-jabber4r
Version: 0.8.0
Release: alt2
Summary: Jabber4r Ruby Jabber client library
Summary(ru_RU.UTF8): Jabber4r - библиотека Ruby для реализации Jabber-клиента
License: BSD-like
Group: Development/Ruby
Url: http://jabber4r.rubyforge.net/
Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>
Source0: jabber4r.tar.gz
Patch0: jabber4r-ssl.patch
AutoReq: yes, noshell
BuildArch: noarch

# Automatically added by buildreq on Fri Aug 19 2005
BuildRequires: ruby-stdlibs, ruby, libruby-devel

%description 
This library was created to allow a Ruby application to connect to an
existing Jabber account as an additional resource. It was written for
ease of use, not completeness. It does support:

* Account registration
* Connection to an account (digest/plain text)
* Access to Roster (buddy list)
* Tracking of presence of resources in the Roster
* Sending and receiving messages
* Requesting VCards
* Managing subscriptions

%description -l ru_RU.UTF8
Эта библиотека была создана для того, что позволить приложению на Ruby
присоединяться к аккаунту Jabber-сервера в роли ресурса. Она написана
с упором на простоту использования, а не функциональную полноту.
Поддерживаются:

* Регистрация аккаунтов
* Соединение с аккаунтом и авторизация (digest/plain text)
* Доступ к ростеру (список контактов)
* Информация о присутствии ресурсов из ростера
* Посылка и прием сообщений
* Запрос VCards
* Работа с подписками

%prep
%setup -q -n jabber4r
%patch -p1

%build
cd lib/jabber4r
rdoc -o ../../html

%install
%__mkdir_p %buildroot%ruby_sitelibdir/jabber4r
%__cp -r lib/jabber4r %buildroot%ruby_sitelibdir
%__rm %buildroot%ruby_sitelibdir/jabber4r/LICENSE.txt  # no need for second copy
%__rm %buildroot%ruby_sitelibdir/jabber4r/rexml_1.8_patch.rb  # we just require ruby>=1.8.1

%files
%ruby_sitelibdir/*
%doc README LICENSE.txt examples/ html/

%changelog
* Fri Aug 26 2005 Kirill A. Shutemov <kas@altlinux.ru> 0.8.0-alt2
- ssl support added

* Fri Aug 19 2005 Kirill A. Shutemov <kas@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Sun Mar 28 2004 Mikhail Yakshin <greycat@altlinux.org> 0.6.0-alt1
- 0.6.0

* Fri Feb 27 2004 Mikhail Yakshin <greycat@altlinux.org> 0.5-alt2.cvs20030921
- Fixed build process for hasher

* Sat Nov  8 2003 Mikhail Yakshin <greycat@altlinux.org> 0.5-alt1.cvs20030921
- Fixed packager e-mail

* Mon Sep 22 2003 Mikhail Yakshin <gc@nm.ru> 0.5-alt0.cvs20030921
- Initial build for ALT Linux
